compile and run again on alpha. No new features from i386 ported yet. It only runs...
authorjowenn <none@none>
Mon, 15 Mar 2004 14:52:43 +0000 (14:52 +0000)
committerjowenn <none@none>
Mon, 15 Mar 2004 14:52:43 +0000 (14:52 +0000)
15 files changed:
builtin.c
configure
jit/alpha/asmpart.S
jit/alpha/codegen.c
main.c
nat/Thread.c
nat/VMSecurityManager.c
nat/VMThrowable.c
src/cacao/cacao.c
src/native/vm/VMSecurityManager.c
src/native/vm/VMThread.c
src/native/vm/VMThrowable.c
src/vm/builtin.c
src/vm/jit/alpha/asmpart.S
src/vm/jit/alpha/codegen.c

index 6f003d3a0bb435934dd07207d2be1a3572313a93..bf96e32e3d9e0ce8d894bc96fbb049a41fe734d9 100644 (file)
--- a/builtin.c
+++ b/builtin.c
@@ -34,7 +34,7 @@
    calls instead of machine instructions, using the C calling
    convention.
 
-   $Id: builtin.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: builtin.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -1169,6 +1169,8 @@ void builtin_monitorenter(java_objectheader *o)
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
        int hashValue;
 
+       log_text("Monitor enter");
+
        assert(blockInts == 0);
 
        ++blockInts;
@@ -1189,9 +1191,12 @@ void builtin_monitorenter(java_objectheader *o)
 
 void builtin_monitorexit (java_objectheader *o)
 {
+
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
        int hashValue;
 
+       log_text("Monitor leave");
+
        assert(blockInts == 0);
 
        ++blockInts;
index bdc8b04b0a1da8ee4d4311f9fa95345cc232588d..d5456cb8123065d1a28c93e4846400761083cbc1 100755 (executable)
--- a/configure
+++ b/configure
@@ -968,7 +968,7 @@ esac
     else
       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
     fi
-    cd "$ac_popdir"
+    cd $ac_popdir
   done
 fi
 
@@ -1546,7 +1546,7 @@ else
 echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
 fi
 
-if mkdir -p -- . 2>/dev/null; then
+if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
   # Keeping the `.' argument allows $(mkdir_p) to be used without
   # argument.  Indeed, we sometimes output rules like
   #   $(mkdir_p) $(somedir)
@@ -1559,7 +1559,7 @@ else
   # recognize any option.  It will interpret all options as
   # directories to create, and then abort because `.' already
   # exists.
-  for d in ./-p ./--;
+  for d in ./-p ./--version;
   do
     test -d $d && rmdir $d
   done
@@ -2452,7 +2452,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2510,7 +2511,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2626,7 +2628,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2680,7 +2683,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2725,7 +2729,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2769,7 +2774,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -2914,7 +2920,9 @@ else
     : > sub/conftest.c
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      : > sub/conftst$i.h
+      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
+      # Solaris 8's {/usr,}/bin/sh.
+      touch sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
 
@@ -3134,7 +3142,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3206,7 +3215,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3260,7 +3270,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3331,7 +3342,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3385,7 +3397,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3702,7 +3715,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3872,7 +3886,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -3939,7 +3954,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4088,7 +4104,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4237,7 +4254,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4386,7 +4404,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4577,7 +4596,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4637,7 +4657,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4710,7 +4731,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4775,7 +4797,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4841,7 +4864,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -4903,7 +4927,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5101,7 +5126,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5285,7 +5311,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5531,7 +5558,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -5634,7 +5662,8 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
   cat conftest.err >&5
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
@@ -6799,6 +6828,11 @@ esac
   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
   esac
 
+  if test x"$ac_file" != x-; then
+    { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+    rm -f "$ac_file"
+  fi
   # Let's still pretend it is `configure' which instantiates (i.e., don't
   # use $as_me), people would be surprised to read:
   #    /* config.h.  Generated by config.status.  */
@@ -6837,12 +6871,6 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
         fi;;
       esac
     done` || { (exit 1); exit 1; }
-
-  if test x"$ac_file" != x-; then
-    { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
-    rm -f "$ac_file"
-  fi
 _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
   sed "$ac_vpsub
@@ -7259,14 +7287,14 @@ echo X"$mf" |
   grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
   # Extract the definition of DEP_FILES from the Makefile without
   # running `make'.
-  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
+  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
   test -z "$DEPDIR" && continue
   # When using ansi2knr, U may be empty or an underscore; expand it
-  U=`sed -n -e '/^U = / s///p' < "$mf"`
+  U=`sed -n 's/^U = //p' < "$mf"`
   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
   # We invoke sed twice because it is the simplest approach to
   # changing $(DEPDIR) to its actual value in the expansion.
-  for file in `sed -n -e '
+  for file in `sed -n '
     /^DEP_FILES = .*\\\\$/ {
       s/^DEP_FILES = //
       :loop
@@ -7528,7 +7556,7 @@ echo "$as_me: error: $ac_sub_configure failed for $ac_dir" >&2;}
    { (exit 1); exit 1; }; }
     fi
 
-    cd "$ac_popdir"
+    cd $ac_popdir
   done
 fi
 
index 04a3968eecf98ba311d46ec5bb65a607156e5b42..a9b174c7506fc651e391272dd9f2209a5471c5e5 100644 (file)
@@ -28,7 +28,7 @@
    Authors: Andreas Krall
             Reinhard Grafl
 
-   $Id: asmpart.S 963 2004-03-15 07:37:49Z jowenn $
+   $Id: asmpart.S 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -171,11 +171,8 @@ synchronize_caches:
 #define     IsLeaf          -20
 #define     IntSave         -24
 #define     FltSave         -28
-#define     LineNumberTableSize     -32
-#define     LineNumberTableStart    -40
-#define     ExTableSize             -48
-#define     ExTableStart            -48
-
+#define     ExTableSize     -32
+#define     ExTableStart    -32
 
 #define     ExEntrySize     -32
 #define     ExStartPC       -8
@@ -183,11 +180,6 @@ synchronize_caches:
 #define     ExHandlerPC     -24
 #define     ExCatchType     -32
 
-#define LineEntrySize   -16
-#define LinePC          0
-#define LineLine        -8
-
-
 /********************* function asm_calljavafunction ***************************
 *                                                                              *
 *   This function calls a Java-method (which possibly needs compilation)       *
@@ -213,8 +205,6 @@ call_name:
        .quad   calljava_xhandler         /* end pc                               */
        .quad   asm_calljavafunction      /* start pc                             */
        .long   1                         /* extable size                         */
-       .quad   0                         /* line number table start              */
-       .quad   0                         /* line number table size               */
        .long   0                         /* fltsave                              */
        .long   0                         /* intsave                              */
        .long   0                         /* isleaf                               */
@@ -276,8 +266,6 @@ call_name2:
        .quad   calljava_xhandler2        /* end pc                               */
        .quad   asm_calljavafunction2     /* start pc                             */
        .long   1                         /* extable size                         */
-       .quad   0                         /* line number table start              */
-       .quad   0                         /* line number table size               */
        .long   0                         /* fltsave                              */
        .long   1                         /* intsave                              */
        .long   0                         /* isleaf                               */
@@ -620,7 +608,8 @@ ex_stack_loop:
        ldq     a1,MethodPointer(pv)
        mov     xpc,a2
 /*     mov     t3,a3 */
-       lda             a3,1(zero)
+       lda             a3,0(zero)
+       lda             a4,1(zero)
        br      ra,ex_trace           /* set ra for gp loading                    */
 ex_trace:
        ldgp    gp,0(ra)              /* load gp                                  */
index 1f44c1c3cc7477641ea5241bfbc69cee7ac76939..d9f0b08ccc5d0acc6107b3ebdbfc10889e89a04b 100644 (file)
@@ -28,7 +28,7 @@
    Authors: Andreas Krall
             Reinhard Grafl
 
-   $Id: codegen.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: codegen.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -400,7 +400,6 @@ void codegen()
        basicblock  *bptr;
        instruction *iptr;
        xtable *ex;
-       u2 currentline=0;
 
        {
        int p, pa, t, l, r;
@@ -445,9 +444,6 @@ void codegen()
        (void) dseg_adds4(isleafmethod);                        /* IsLeaf         */
        (void) dseg_adds4(savintregcnt - maxsavintreguse);      /* IntSave        */
        (void) dseg_adds4(savfltregcnt - maxsavfltreguse);      /* FltSave        */
-
-       (void) dseg_addlinenumbertablesize()                    /* line number table size + start*/
-
        (void) dseg_adds4(exceptiontablelength);                /* ExTableSize    */
 
        /* create exception table */
@@ -736,12 +732,6 @@ void codegen()
                    src = iptr->dst, len--, iptr++) {
 
        MCODECHECK(64);           /* an instruction usually needs < 64 words      */
-
-        if (iptr->line!=currentline) {
-                dseg_addlinenumber(iptr->line,mcodeptr);
-                currentline=iptr->line;
-        }
-
        switch (iptr->opc) {
 
                case ICMD_NOP:        /* ...  ==> ...                                 */
@@ -3668,8 +3658,6 @@ makeactualcall:
 
        /* bptr -> mpc = (int)((u1*) mcodeptr - mcodebase); */
 
-       codegen_createlinenumbertable();
-
        {
        /* generate bound check stubs */
 
diff --git a/main.c b/main.c
index 7d79a47b895d1a92ff1d6154211b351bc8e111ad..b1f3ad3ab18cf20135545fd4678563f7c57e9378 100644 (file)
--- a/main.c
+++ b/main.c
@@ -37,7 +37,7 @@
      - Calling the class loader
      - Running the main method
 
-   $Id: main.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: main.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -974,8 +974,10 @@ int main(int argc, char **argv)
 
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
                killThread(currentThread);
-#endif
                fprintf(stderr, "still here\n");
+
+#endif
+               exit(0);
        }
 
        /************* If requested, compile all methods ********************/
index 53f8e06b305080eeee132c2b60ef6e7cfea9f7cc..6c907a9d9e9928f07f2fd0d5ad278449ef5d7d11 100644 (file)
@@ -28,7 +28,7 @@
 
    Changes: Joseph Wenninger
 
-   $Id: Thread.c 900 2004-01-22 13:25:36Z twisti $
+   $Id: Thread.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -288,8 +288,9 @@ JNIEXPORT s4 JNICALL Java_java_lang_Thread_interrupted(JNIEnv *env, jclass clazz
  */
 JNIEXPORT void JNICALL Java_java_lang_Thread_nativeInit(JNIEnv *env, java_lang_Thread *this, s8 par1)
 {
+/*
        if (*exceptionptr)
-               log_text("There has been an exception, strange...");
+               log_text("There has been an exception, strange...");*/
 
        this->priority = 5;
 }
index 38c19fb2f19d749834de8dd2db5b1677d7cfc88b..e3cba29bd994e2e4700727816dbfb02eddf7faa8 100644 (file)
@@ -28,7 +28,7 @@
 
    Changes: Joseph Wenninger
 
-   $Id: VMSecurityManager.c 951 2004-03-11 17:30:03Z jowenn $
+   $Id: VMSecurityManager.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -40,7 +40,7 @@
 #include "toolbox/loging.h"
 #include "java_lang_ClassLoader.h"
 
-#ifdef _ALPHA_
+#ifdef __ALPHA__
 /*
  * Class:     java/lang/SecurityManager
  * Method:    currentClassLoader
@@ -55,7 +55,7 @@ JNIEXPORT java_lang_ClassLoader* JNICALL Java_java_lang_VMSecurityManager_curren
 }
 #endif
 
-#ifdef _ALPHA_
+#ifdef __ALPHA__
 /*THIS IS IN ASMPART NOW*/
 /*
  * Class:     java/lang/SecurityManager
index 9a5db1a8a042b16d6427734f9ff497e4709374ea..801e4f137495e8e0ee9ca1e93367aff57d1c8088 100644 (file)
@@ -20,7 +20,7 @@ JNIEXPORT struct java_lang_VMThrowable* JNICALL Java_java_lang_VMThrowable_fillI
        classinfo *class_java_lang_VMThrowable=0;
        java_lang_VMThrowable *vmthrow;
 
-/*     log_text("java_lang_VMThrowable");*/
+       log_text("java_lang_VMThrowable");
 
         if (!class_java_lang_VMThrowable)
                 class_java_lang_VMThrowable = class_new(utf_new_char ("java/lang/VMThrowable"));
@@ -34,8 +34,12 @@ JNIEXPORT struct java_lang_VMThrowable* JNICALL Java_java_lang_VMThrowable_fillI
                panic("Needed instance of class  java.lang.VMThrowable could not be created");
        
 
-       (void)asm_get_stackTrace(&(vmthrow->vmData));
 
+#ifdef __I386__
+       (void)asm_get_stackTrace(&(vmthrow->vmData));
+#else
+       vmthrow->vmData=0;
+#endif
        return vmthrow;
 }
 
@@ -124,7 +128,10 @@ JNIEXPORT java_objectarray* JNICALL Java_java_lang_VMThrowable_getStackTrace(JNI
 /*     log_text("Java_java_lang_VMThrowable_getStackTrace");
        utf_display(par1->header.vftbl->class->name);
        printf("\n----------------------------------------------\n");*/
-       
+
+       if (el==0) {
+               return generateStackTraceArray(env,el,0);
+       }       
        for (pos=0;el[pos].method!=0;pos++);
        if (pos==0) {
                panic("Stacktrace cannot have zero length");
index 38b3512e24fe4350b2aa33cab33b04bfca951334..c5c2cf08e61f48f10f363d2abae096c2b4552fc5 100644 (file)
@@ -37,7 +37,7 @@
      - Calling the class loader
      - Running the main method
 
-   $Id: cacao.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: cacao.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -974,8 +974,10 @@ int main(int argc, char **argv)
 
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
                killThread(currentThread);
-#endif
                fprintf(stderr, "still here\n");
+
+#endif
+               exit(0);
        }
 
        /************* If requested, compile all methods ********************/
index 38c19fb2f19d749834de8dd2db5b1677d7cfc88b..e3cba29bd994e2e4700727816dbfb02eddf7faa8 100644 (file)
@@ -28,7 +28,7 @@
 
    Changes: Joseph Wenninger
 
-   $Id: VMSecurityManager.c 951 2004-03-11 17:30:03Z jowenn $
+   $Id: VMSecurityManager.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -40,7 +40,7 @@
 #include "toolbox/loging.h"
 #include "java_lang_ClassLoader.h"
 
-#ifdef _ALPHA_
+#ifdef __ALPHA__
 /*
  * Class:     java/lang/SecurityManager
  * Method:    currentClassLoader
@@ -55,7 +55,7 @@ JNIEXPORT java_lang_ClassLoader* JNICALL Java_java_lang_VMSecurityManager_curren
 }
 #endif
 
-#ifdef _ALPHA_
+#ifdef __ALPHA__
 /*THIS IS IN ASMPART NOW*/
 /*
  * Class:     java/lang/SecurityManager
index cc14ef3af5fa76eb0687b30fd719de11ce698a03..6dafd7349e4649e265161abf76f7afe9ebc3dcda 100644 (file)
@@ -28,7 +28,7 @@
 
    Changes: Joseph Wenninger
 
-   $Id: VMThread.c 900 2004-01-22 13:25:36Z twisti $
+   $Id: VMThread.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -288,8 +288,9 @@ JNIEXPORT s4 JNICALL Java_java_lang_Thread_interrupted(JNIEnv *env, jclass clazz
  */
 JNIEXPORT void JNICALL Java_java_lang_Thread_nativeInit(JNIEnv *env, java_lang_Thread *this, s8 par1)
 {
+/*
        if (*exceptionptr)
-               log_text("There has been an exception, strange...");
+               log_text("There has been an exception, strange...");*/
 
        this->priority = 5;
 }
index 9a5db1a8a042b16d6427734f9ff497e4709374ea..801e4f137495e8e0ee9ca1e93367aff57d1c8088 100644 (file)
@@ -20,7 +20,7 @@ JNIEXPORT struct java_lang_VMThrowable* JNICALL Java_java_lang_VMThrowable_fillI
        classinfo *class_java_lang_VMThrowable=0;
        java_lang_VMThrowable *vmthrow;
 
-/*     log_text("java_lang_VMThrowable");*/
+       log_text("java_lang_VMThrowable");
 
         if (!class_java_lang_VMThrowable)
                 class_java_lang_VMThrowable = class_new(utf_new_char ("java/lang/VMThrowable"));
@@ -34,8 +34,12 @@ JNIEXPORT struct java_lang_VMThrowable* JNICALL Java_java_lang_VMThrowable_fillI
                panic("Needed instance of class  java.lang.VMThrowable could not be created");
        
 
-       (void)asm_get_stackTrace(&(vmthrow->vmData));
 
+#ifdef __I386__
+       (void)asm_get_stackTrace(&(vmthrow->vmData));
+#else
+       vmthrow->vmData=0;
+#endif
        return vmthrow;
 }
 
@@ -124,7 +128,10 @@ JNIEXPORT java_objectarray* JNICALL Java_java_lang_VMThrowable_getStackTrace(JNI
 /*     log_text("Java_java_lang_VMThrowable_getStackTrace");
        utf_display(par1->header.vftbl->class->name);
        printf("\n----------------------------------------------\n");*/
-       
+
+       if (el==0) {
+               return generateStackTraceArray(env,el,0);
+       }       
        for (pos=0;el[pos].method!=0;pos++);
        if (pos==0) {
                panic("Stacktrace cannot have zero length");
index 6f003d3a0bb435934dd07207d2be1a3572313a93..bf96e32e3d9e0ce8d894bc96fbb049a41fe734d9 100644 (file)
@@ -34,7 +34,7 @@
    calls instead of machine instructions, using the C calling
    convention.
 
-   $Id: builtin.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: builtin.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -1169,6 +1169,8 @@ void builtin_monitorenter(java_objectheader *o)
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
        int hashValue;
 
+       log_text("Monitor enter");
+
        assert(blockInts == 0);
 
        ++blockInts;
@@ -1189,9 +1191,12 @@ void builtin_monitorenter(java_objectheader *o)
 
 void builtin_monitorexit (java_objectheader *o)
 {
+
 #if defined(USE_THREADS) && !defined(NATIVE_THREADS)
        int hashValue;
 
+       log_text("Monitor leave");
+
        assert(blockInts == 0);
 
        ++blockInts;
index 04a3968eecf98ba311d46ec5bb65a607156e5b42..a9b174c7506fc651e391272dd9f2209a5471c5e5 100644 (file)
@@ -28,7 +28,7 @@
    Authors: Andreas Krall
             Reinhard Grafl
 
-   $Id: asmpart.S 963 2004-03-15 07:37:49Z jowenn $
+   $Id: asmpart.S 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -171,11 +171,8 @@ synchronize_caches:
 #define     IsLeaf          -20
 #define     IntSave         -24
 #define     FltSave         -28
-#define     LineNumberTableSize     -32
-#define     LineNumberTableStart    -40
-#define     ExTableSize             -48
-#define     ExTableStart            -48
-
+#define     ExTableSize     -32
+#define     ExTableStart    -32
 
 #define     ExEntrySize     -32
 #define     ExStartPC       -8
@@ -183,11 +180,6 @@ synchronize_caches:
 #define     ExHandlerPC     -24
 #define     ExCatchType     -32
 
-#define LineEntrySize   -16
-#define LinePC          0
-#define LineLine        -8
-
-
 /********************* function asm_calljavafunction ***************************
 *                                                                              *
 *   This function calls a Java-method (which possibly needs compilation)       *
@@ -213,8 +205,6 @@ call_name:
        .quad   calljava_xhandler         /* end pc                               */
        .quad   asm_calljavafunction      /* start pc                             */
        .long   1                         /* extable size                         */
-       .quad   0                         /* line number table start              */
-       .quad   0                         /* line number table size               */
        .long   0                         /* fltsave                              */
        .long   0                         /* intsave                              */
        .long   0                         /* isleaf                               */
@@ -276,8 +266,6 @@ call_name2:
        .quad   calljava_xhandler2        /* end pc                               */
        .quad   asm_calljavafunction2     /* start pc                             */
        .long   1                         /* extable size                         */
-       .quad   0                         /* line number table start              */
-       .quad   0                         /* line number table size               */
        .long   0                         /* fltsave                              */
        .long   1                         /* intsave                              */
        .long   0                         /* isleaf                               */
@@ -620,7 +608,8 @@ ex_stack_loop:
        ldq     a1,MethodPointer(pv)
        mov     xpc,a2
 /*     mov     t3,a3 */
-       lda             a3,1(zero)
+       lda             a3,0(zero)
+       lda             a4,1(zero)
        br      ra,ex_trace           /* set ra for gp loading                    */
 ex_trace:
        ldgp    gp,0(ra)              /* load gp                                  */
index 1f44c1c3cc7477641ea5241bfbc69cee7ac76939..d9f0b08ccc5d0acc6107b3ebdbfc10889e89a04b 100644 (file)
@@ -28,7 +28,7 @@
    Authors: Andreas Krall
             Reinhard Grafl
 
-   $Id: codegen.c 963 2004-03-15 07:37:49Z jowenn $
+   $Id: codegen.c 964 2004-03-15 14:52:43Z jowenn $
 
 */
 
@@ -400,7 +400,6 @@ void codegen()
        basicblock  *bptr;
        instruction *iptr;
        xtable *ex;
-       u2 currentline=0;
 
        {
        int p, pa, t, l, r;
@@ -445,9 +444,6 @@ void codegen()
        (void) dseg_adds4(isleafmethod);                        /* IsLeaf         */
        (void) dseg_adds4(savintregcnt - maxsavintreguse);      /* IntSave        */
        (void) dseg_adds4(savfltregcnt - maxsavfltreguse);      /* FltSave        */
-
-       (void) dseg_addlinenumbertablesize()                    /* line number table size + start*/
-
        (void) dseg_adds4(exceptiontablelength);                /* ExTableSize    */
 
        /* create exception table */
@@ -736,12 +732,6 @@ void codegen()
                    src = iptr->dst, len--, iptr++) {
 
        MCODECHECK(64);           /* an instruction usually needs < 64 words      */
-
-        if (iptr->line!=currentline) {
-                dseg_addlinenumber(iptr->line,mcodeptr);
-                currentline=iptr->line;
-        }
-
        switch (iptr->opc) {
 
                case ICMD_NOP:        /* ...  ==> ...                                 */
@@ -3668,8 +3658,6 @@ makeactualcall:
 
        /* bptr -> mpc = (int)((u1*) mcodeptr - mcodebase); */
 
-       codegen_createlinenumbertable();
-
        {
        /* generate bound check stubs */